export type ErrorLike = Error | {
    /** error metadata */
    [key: string | symbol]: unknown;
    /** error message */
    message: string;
    /** error name */
    name?: string;
    /** error stack */
    stack?: string;
};
/**
 * determine if an exception is an error-like object
 * @param exception an exception to be tested
 * @returns whether the exception is an error-like object
 */
export declare function isErrorLike(exception: unknown): exception is ErrorLike;
//# sourceMappingURL=isErrorLike.d.ts.map