export interface StackDescriptionBlock {
    type: 'description';
    name: string;
    message: string;
}
export interface StackLocationBlock {
    type: 'location';
    entry: string;
    path: string;
    line: number;
    column: number;
}
export type StackBlock = StackDescriptionBlock | StackLocationBlock;
/**
 * parse a stack into its components
 * @param stack stack content
 * @returns a list of error and stack information
 */
export declare function disassembleStack(stack: string): StackBlock[];
/**
 * reassemble stack components
 * @param stacks stack information
 * @returns the reassembled stack
 */
export declare function assembleStack(stacks: StackBlock[]): string;
//# sourceMappingURL=stack.d.ts.map