import { Xception } from './base.js';
import type { XceptionOptions } from './base.js';
type Options = Omit<XceptionOptions, 'cause'> & {
    factory?: (message: string, options: XceptionOptions) => Xception;
};
/**
 * convert an error to an Xception instance with metadata merged while preserving the original error message and stack
 * @param exception an exception to be converted
 * @param options additional options for the error
 * @param options.meta meta data to be embedded in the error
 * @returns the transformed error
 */
export default function xception(exception: unknown, // string, error, Xception, { message: string, ...}
options?: Options): Xception;
export {};
//# sourceMappingURL=xception.d.ts.map